LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XCacheInfo Interface Reference

Interface that allows an implementation to opt out from caching. More...

`import <XCacheInfo.idl;`

Inheritance diagram for XCacheInfo:

## Public Member Functions
boolean | isCachingAllowed ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface that allows an implementation to opt out from caching.

Since
  LibreOffice 7.4

## Member Function Documentation

## ◆ isCachingAllowed()

boolean isCachingAllowed | ( |  | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/util/XCacheInfo.idl